//
//  ViewController.swift
//  Data1
//
//  Created by Joey deVilla on 4/24/18.
//  Copyright © 2018 Joey deVilla. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

  @IBOutlet weak var userValue: UISlider!

  // View controller events
  // ======================

  override func viewDidLoad() {
    super.viewDidLoad()
  }

  override func didReceiveMemoryWarning() {
    super.didReceiveMemoryWarning()
    // Dispose of any resources that can be recreated.
  }


  // Save and load button events
  // ===========================

  @IBAction func saveButtonClicked(_ sender: Any) {
    let sliderValue = String(userValue.value)
    print("Saving slider value: \(sliderValue)")
    try! sliderValue.write(to: saveURL,
                           atomically: true,
                           encoding: String.Encoding.utf8)
  }

  @IBAction func loadButtonClicked(_ sender: Any) {
    do {
      let sliderValue = try String(contentsOf: saveURL)
      print("Loading slider value: \(sliderValue)")
      userValue.value = Float(sliderValue)!
    } catch {
      print("Encountered an error while trying to load saved data.")
    }
  }

  private var saveURL: URL {
    let documentsDirectoryURL = try! FileManager.default.url(
      for: FileManager.SearchPathDirectory.documentDirectory,
      in: .userDomainMask,
      appropriateFor: nil,
      create: false)
    return URL(fileURLWithPath: "savefile.txt",
               relativeTo: documentsDirectoryURL)
  }

}
